<?php
/**
 * 
 * @file order_seller_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_order.php');

$url = 'mod_order/order_seller_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComOrder = new ComOrder();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];
$act_role = 'seller';
switch ($act) {
    case 'save_add':
        $clComOrder -> addRecords($act_role);
        break;

    case 'save_edit':
        $clComOrder -> editRecords($act_role);
        break;

    case 'delete':
        $clComOrder -> recycleRecords($act_role);
        break;

    case 'edit':
        $layout = $clComOrder -> get_layout_order_edit($act_role);
        require_once(getAdminTemplatePath('order_seller_edit', $url));
        break;
} 

?>
